image=localhost/at_detect_container:latest

append_args --env=XDG_RUNTIME_DIR=/run/xdg_runtime
devices="/dev/tty1 /dev/input /dev/dri /dev/galcore /dev/mxc_hantro /dev/mxc_hantro_vc8000e /dev/ion"
volumes="/opt/firmware:/opt/firmware:ro /run/udev:/run/udev:ro xdg_runtime:/run/xdg_runtime"
append_args --cap-add CAP_SYS_TTY_CONFIG
network=my_network
ip=192.168.100.10

for video in /dev/v4l/by-id/*-index0; do
  if [ -e "$video" ]; then
  	# use a symlink in case the path contains colons (:)
  	cp -sf "$video" /dev/video_at
	devices="$devices /dev/video_at:/dev/video3"
	set_command /root/handson.sh --camera --cloud
  else
	set_command /root/handson.sh --cloud
  fi
done
